> For the complete documentation index, see [llms.txt](https://docs.symm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.symm.io/liquidity-provider-documentation/building-a-solver-on-symmio/5.-creating-the-apis/get-market-info.md).

# Get Market Info

### /get\_market\_info

```json
get_market_info/
```

**Example Query:**

```
https://base-hedger82.rasa.capital/get_market_info
```

**Example Response:**

```json
{
  "BTCUSDT": {
    "price": 78029.9,
    "price_change_percent": -5.143,
    "trade_volume": 963312554.697415,
    "notional_cap": 2339028.81415242
  },
  "ETHUSDT": {
    "price": 1541.98,
    "price_change_percent": -11.899,
    "trade_volume": 417500257.632483,
    "notional_cap": 2324673.23713242
  },
  "SOLUSDT": {
    "price": 104.95,
    "price_change_percent": -8.476,
    "trade_volume": 161370052.38358,
    "notional_cap": 2342042.28665242
  },//...
```

#### **Data Source**

&#x20;All values are sourced from the hedger’s internal market data providers or aggregated from external feeds where the hedger operates. No on-chain data is used here.

**`price`**: Current market price of the symbol (in quote currency, e.g., USDT).

**`price_change_percent`**: 24-hour price change percentage.

**`trade_volume`**: Total trading volume for the symbol in the last 24 hours (in quote currency).

* Example: `963312554.697415` → \~$963.3M volume.

**`notional_cap`**: Reflects the **current notional capacity** (in quote currency) from the [`/notional_cap/{symbol_id}`](#notional_cap) endpoint.

{% hint style="info" %}
This is not an essential endpoint for frontends
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.symm.io/liquidity-provider-documentation/building-a-solver-on-symmio/5.-creating-the-apis/get-market-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
